using System;
using System.IO;
using System.Collections;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            //How to add page header and footer
            SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();
            //After purchasing the license, please insert your serial number here to activate the component
            //p.Serial = "XXXXXXXXXXX";

            //Let's add page header in HTML format
            string headerInHtml = "<table width=\"100%\" border=\"1\"><tr><td width=\"50%\" align=\"center\"><img src=\"http://www.google.com/intl/en_com/images/srpr/logo3w.png\" /></td><td>You are welcome!</td></tr></table>";
            p.PageSettings.Header.Html(headerInHtml);

            string footerInRtf = @"{\i Italic Header}";
            p.PageSettings.Footer.Rtf(footerInRtf);

            if (p != null)
            {
                string inputFile = @"..\..\..\..\..\test.htm";
                string outputFile = @"..\..\..\..\..\test.pdf";

                int result = p.HtmlToPdfConvertFile(inputFile, outputFile);

                if (result == 0)
                {
                    System.Console.WriteLine("Converted successfully!");
                    System.Diagnostics.Process.Start(outputFile);
                }
                else
                {
                    System.Console.WriteLine("Converting Error!");
                }
            }
        }
    }
}
