using System;
using System.IO;
using System.Collections;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            // How to change the page footer to the custom footer
            SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();
            // After purchasing the license, please insert your serial number here to activate the component
            //p.Serial = "XXXXXXXXXXX";            

            if (p != null)
            {                
                string inputFile = @"..\..\..\..\..\test with footer.rtf";
                string originalPdf = @"..\..\..\..\..\Original.pdf";
                string customPdf = @"..\..\..\..\..\Custom.pdf";

                // Let's convert RTF which has an own page footer to PDF
                if (p.RtfToPdfConvertFile(inputFile, originalPdf)==0)
                {
                    System.Diagnostics.Process.Start(originalPdf);
                }
                // Let's change the footer to custom
                string footerInHtml = "<table width=\"100%\" border=\"1\"><tr><td width=\"50%\" align=\"center\"><img src=\"http://www.google.com/intl/en_com/images/srpr/logo3w.png\" /></td><td>This is new custom footer!</td></tr></table>";
                p.PageSettings.Footer.Html(footerInHtml);

                // Let's convert RTF to PDF and change the footer to the custom
                if (p.RtfToPdfConvertFile(inputFile, customPdf) == 0)
                {
                    System.Diagnostics.Process.Start(customPdf);
                }
            }
        }
    }
}
